com.jscape.inet.ssh.protocol.v2.transport.keyexchange

## Class ComponentClientKeyExchangeFactory

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ComponentClientKeyExchangeFactory

- All Implemented Interfaces:
    ClientKeyExchangeFactory

      public class ComponentClientKeyExchangeFactory
      extends java.lang.Object
      implements ClientKeyExchangeFactory

  A component-based key exchange factory.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComponentClientKeyExchangeFactory.Entry` A factory entry.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentClientKeyExchangeFactory(ComponentClientKeyExchangeFactory.Entry... entries)` Creates a new factory instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ClientKeyExchange` | `keyExchangeFor(java.lang.String name)` Returns a key exchange operation.
    `java.util.List<java.lang.String>` | `keyExchanges()` Returns supported key exchange algorithms.
    `ComponentClientKeyExchangeFactory` | `set(ComponentClientKeyExchangeFactory.Entry... entries)` Sets the factory entries.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentClientKeyExchangeFactory

          public ComponentClientKeyExchangeFactory(ComponentClientKeyExchangeFactory.Entry... entries)

      Creates a new factory instance.
      Parameters:
        `entries` - entries

  - ### Method Detail

    - #### set

          public ComponentClientKeyExchangeFactory set(ComponentClientKeyExchangeFactory.Entry... entries)

      Sets the factory entries.
      Parameters:
        `entries` - entries
      Returns:

    - #### keyExchanges

          public java.util.List<java.lang.String> keyExchanges()

      Description copied from interface: `ClientKeyExchangeFactory`
      Returns supported key exchange algorithms.
      Specified by:
        `keyExchanges` in interface `ClientKeyExchangeFactory`
      Returns:
        supported key exchange algorithms

    - #### keyExchangeFor

          public com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ClientKeyExchange keyExchangeFor(java.lang.String name)

      Description copied from interface: `ClientKeyExchangeFactory`
      Returns a key exchange operation.
      Specified by:
        `keyExchangeFor` in interface `ClientKeyExchangeFactory`
      Parameters:
        `name` - a key exchange algorithm
      Returns:
        a key exchange operation

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved